# MCS_CAin Class Reference

`#include <mcs.h>`

Inheritance diagram for MCS_CAin:

List of all members.

## Public Member Functions

| MCS_CAin (unsigned tag=22, TagClass tagClass=ApplicationTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

MCS_UserId | m_initiator
MCS_PrivateChannelId | m_channelId
MCS_ArrayOf_UserId | m_userIds

## Constructor & Destructor Documentation

MCS_CAin::MCS_CAin | ( | unsigned | tag = `22`,
|  | TagClass | tagClass = `ApplicationTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX MCS_CAin::GetDataLength | ( |  | ) | const

PBoolean MCS_CAin::Decode | ( | PASN_Stream & | strm | ) |

void MCS_CAin::Encode | ( | PASN_Stream & | strm | ) | const

void MCS_CAin::PrintOn | ( | ostream & | strm | ) | const

Comparison MCS_CAin::Compare | ( | const PObject & | obj | ) | const

PObject* MCS_CAin::Clone | ( |  | ) | const

## Member Data Documentation

MCS_UserId MCS_CAin::m_initiator

MCS_PrivateChannelId MCS_CAin::m_channelId

MCS_ArrayOf_UserId MCS_CAin::m_userIds

The documentation for this class was generated from the following file:

- mcs.h